File: changelog

package info (click to toggle)
subtitleeditor 0.54.0-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 10,364 kB
  • sloc: cpp: 29,756; sh: 4,409; makefile: 2,121; perl: 434; xml: 142
file content (417 lines) | stat: -rw-r--r-- 16,319 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
subtitleeditor (0.54.0-3) unstable; urgency=medium

  * Update Vcs URLs in d/control to point to salsa.d.o
  * Add upstream metadata
  * Bump Standards-Version to 4.1.4 (no changes necessary)
  * Bump debhelper compat level to 11 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Sun, 29 Apr 2018 14:32:13 +0200

subtitleeditor (0.54.0-2) unstable; urgency=medium

  * add patch/patches/remove_abs_sourcedir.patch:
    - Make build reproducible
  * add debian/patches/new_appdata_format.patch:
    - Update appstream metadata to current format
  * Use new upstream location in debian/{control,copyright}
  * Remove build dependency on dh-autoreconf:
    - debhelper >= 10 does the magic automatically

 -- Philip Rinn <rinni@inventati.org>  Mon, 14 Aug 2017 16:59:39 +0200

subtitleeditor (0.54.0-1) unstable; urgency=medium

  * New upstream release (fixes: #854534)
  * Drop all patches, they are appied upstream
  * Update watch file to reflect new upstream location
  * Bump Standards-Version to 4.0.0 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 17 Jul 2017 12:28:45 +0200

subtitleeditor (0.53.0-2) unstable; urgency=medium

  * Add debian/patches/03-fix-build-gstreamermm-1.8.0.patch:
    + Fix build with gstreamermm-1.0 1.8.0
  * Build depend on libgstreamermm-1.0-dev (>> 1.8.0)
  * Update debian/patches/01-fix-build.patch:
    + Retain debug information
  * Bump debhelper compat from 9 to 10 (no changes necessary)
  * Add debian/patches/04-remove-deprecated-variable.patch:
    + Remove deprecated gnome-common variable GNOME2_DIR (closes: #829790)

 -- Philip Rinn <rinni@inventati.org>  Wed, 09 Nov 2016 18:27:25 +0100

subtitleeditor (0.53.0-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/patches/02_build_with_cxx11.patch, it's applied upstream
  * Add debian/patches/02-add-missing-potfiles.patch:
    + Add missing source files to po/POTFILES.in
  * Bump Standards-Version to 3.9.8 (no changes necessary).
  * Use secure URIs for vcs-* in debian/control

 -- Philip Rinn <rinni@inventati.org>  Tue, 09 Aug 2016 17:20:14 +0200

subtitleeditor (0.52.1-2) unstable; urgency=medium

  * Add debian/patches/02_build_with_cxx11.patch (closes: #805162):
    + Build with C++11 to fix FTBFS with glibmm2.4 >= 2.46.1
  * Add Vcs-* links
  * Remove menu file due to tech-ctte decision on #741573
  * Recommend gstreamer1.0-libav instead of non-existing gstreamer1.0-ffmpeg

 -- Philip Rinn <rinni@inventati.org>  Fri, 27 Nov 2015 12:17:52 +0100

subtitleeditor (0.52.1-1) unstable; urgency=medium

  * New upstream release (closes: #785895, LP: #1417109, LP: #1447835):
    + Ported to GTK+3 and Gstreamer 1.0
  * Upload to unstable as gstreamermm is in unstable now.
  * Update Build-Depends.
  * Add debian/patches/01-fix-build.patch:
    + Fix build
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Sun, 19 Jul 2015 14:37:43 +0200

subtitleeditor (0.41.0-2) experimental; urgency=low

  * Remove automake1.13 from Build-Depends.
  * Add dh-autoreconf to Build-Depends:
    + update outdated autotools files (closes: #727513).
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Mon, 28 Oct 2013 19:44:53 +0100

subtitleeditor (0.41.0-1) experimental; urgency=low

  * New upstream release.
  * Remove debian/patches/01-glib-single-include.patch, it's included upstream.
  * Remove Lintian overrides as Lintian knows about the false-positives now.
  * Use section 'libs' for libsubtitleeditor0.

 -- Philip Rinn <rinni@inventati.org>  Mon, 05 Aug 2013 18:35:01 +0200

subtitleeditor (0.40.0-1) experimental; urgency=low

  * New upstream release (closes: #660037, #661098, #697623;
     LP: #1029205, LP: #1022044, LP: #1054879):
    + Drop all patches as they are applied upstream.
  * Bump Standards-Version to 3.9.4 (no changes necessary).
  * Bump debhelper compat to 9:
    + Package is multi-arch compatible now.
  * Add debian/patches/01-glib-single-include.patch:
    + Don't include invidiual glib headers.
  * Add debian/patches/02-fix-playbin.patch:
    + Workaround for gstreamer(mm) bug (see #657327, #661096 and #661941).
  * Enable hardened build flags:
    + Adding Lintian overrides due to false-positives (memcpy, memmove) in
      'hardening-no-fortify-functions' check.

 -- Philip Rinn <rinni@gmx.net>  Sun, 13 Jan 2013 22:09:31 +0000

subtitleeditor (0.39.0-2) experimental; urgency=low

  * Add debian/patches/02-fix-broken-tag-handling.patch:
    + Fix broken handling of '<br />' tags (closes: #646371).
  * Add debian/patches/03-fix-mimetypes.patch:
    + Don't handle MIME-Type "text/plain" (closes LP: #820474).
  * Add section for debian/* to debian/copyright.

 -- Philip Rinn <rinni@gmx.net>  Mon, 12 Dec 2011 15:11:27 +0200

subtitleeditor (0.39.0-1) experimental; urgency=low

  * New upstream release.
  * Add debian/patches/01-fix-sami-build-error.patch:
    + Picked from upstream to build with gcc-4.6
  * Fix typo in debian/control (closes LP: #752658).
  * Bump Standards-Version to 3.9.2 (no changes necessary).
  * Emptying the dependency_libs field in .la files (closes: #633217).

 -- Philip Rinn <rinni@gmx.net>  Sun, 31 Jul 2011 15:00:32 +0100

subtitleeditor (0.38.0-1) experimental; urgency=low

  * New upstream release.

 -- Philip Rinn <rinni@gmx.net>  Sun, 13 Jan 2011 13:56:12 +0100

subtitleeditor (0.37.1-2) experimental; urgency=low

  * Remove gstreamer0.10-ffmpeg-full from Suggests as it's not in debian.
  * Make dependency on libsubtitleeditor0 versioned to fix update problems.
  * Convert debian/copyright to Machine-readable format (DEP-5).

 -- Philip Rinn <rinni@gmx.net>  Wed, 08 Dec 2010 11:29:34 +0100

subtitleeditor (0.37.1-1) experimental; urgency=low

  * New maintainer.
  * New upstream release (Closes: #530792, #548575, #558704):
    + Add build dependency libgstreamermm-0.10-dev
    + Add build dependency imagemagick
    + Remove build dependency libglademm-2.4-dev
    + Add dependency libgstreamermm-0.10-2
    + Add dependency libenchant1c2a
    + Remove all patches
  * Bump Standards-Version to 3.9.1 (no changes necessary).
  * Convert to 3.0 (quilt) source format:
    + Remove build dependency dpatch

 -- Philip Rinn <rinni@gmx.net>  Mon, 25 Oct 2010 13:22:16 +0200

subtitleeditor (0.30.0-1.2) unstable; urgency=low

   * Non-maintainer upload.
   * Fix "missing Replaces: subtitleeditor": add missing Replaces/Breaks
     (closes: #524102)

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Oct 2010 18:04:45 +0200

subtitleeditor (0.30.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix_gcc_4.4_ftbfs.dpatch: Fix FTBFS with gcc 4.4 new
    headers, thanks Martin Michlmayr (Closes: #526155)

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 24 Dec 2009 14:29:46 +0100

subtitleeditor (0.30.0-1) unstable; urgency=low

  * New upstream release (Closes: #492595, #507687):
    + Fixed many upstream bugs
    + Translations update
  * Updated the debian/control file with new description
  * Forced the libpcre3-dev version to 7.6-2 to avoid the old bug fixed in
    this version (Closes: #464704)
  * Updated the debian/watch file to point to the new upstream version
  * Fixed the URL in debian/watch with a better format
  * Added a patch to fix the bad linkage with some libraries.
  * Added the dependency with the intltool package
  * Added the dependency with the libglibmm-2.4-dev package
  * Added the dependency with dpatch package to apply the linkage patch.
  * Removed the option --enable-aspell from debian/rules in configure line.
  * Added packages libsubtitleeditor0 and libsubtitleeditor-dev because
    now the program creates libraries like /usr/lib/*.so.*.
  * Updated debian/rules to add the dh_install --sourcedir support.
  * Updated to Standards-Version 3.8.1
   + Added a debian/libsubtitleeditor0.postinst file due a ldconfig warning
   + Added a subtitleeditor.desktop file without the deprecated Encoding key
   + Added a call to dpkg-gensymbols in debian/rules to avoid warnings about
     "unable to find dependency information for shared library"

 -- Anibal Avelar <aavelar@cofradia.org>  Thu, 19 Mar 2009 23:32:50 +0200

subtitleeditor (0.21.1-2) unstable; urgency=low

  * Added the subtitleeditor.desktop file coming from the upstream program
    removing the debian/subtitleeditor.desktop file.
  * Removed the dependency with the autotools-dev package in debian/control.
    It's totally unnecessary.
  * Cleaned the debian/dirs file. Were removed all dirs below /usr dir.
  * Removed the versioned dependency in debian/control to the libpcre3-dev
    package to avoid the problem with different version on sid and lenny.
  * Cleaned the debian/copyright file to be brief.
  * Fixed a little grammar problem uploaded the latest time in the
    debian/changelog file.

 -- Anibal Avelar <aavelar@cofradia.org>  Mon, 26 May 2008 11:51:50 +0200

subtitleeditor (0.21.1-1) unstable; urgency=low

  * New upstream release:
    + Fixed the debian/subtitleeditor.desktop file.
      (Closes: #480481)
    + Removed the patch for gcc 4.3 due to the program changed the layout.
  * Removed the versioned dependency in debian/control to the libpcre3-dev
    package to avoid the problem with different version on sid and lenny.
      (Closes: #464704)
  * Updated the debian/wach file to point to the new upstream path.
  * Removed the patch-system because it isn't used by the moment. Removed the
    dependency with dpatch in the debian/control file.
  * Added the dependencies with the packages gstreamer0.10-x,
    gstreamer0.10-plugins-base and libgstreamer-plugins-base0.10-0
    to the binary package. The three packages are necessary in runtime to
    get a good performance.
  * Added the "Suggests" section in the debian/control file.

 -- Anibal Avelar <aavelar@cofradia.org>  Mon, 22 May 2008 11:33:50 +0200

subtitleeditor (0.20.0-3) unstable; urgency=medium

  * Fixed the FTBFS: Document.cc:267: error: 'auto_ptr' is not a member of
    'std'. Added the patch called debian/patches/gcc43.dpatch.
    Thank you Chris Lamb
    (Closes: #474872)
  * Added the dependency with the dpatch package in debian/control file
    due to the same reason described above.
  * Modified the debian/rule script to apply the patch.

 -- Anibal Avelar <aavelar@cofradia.org>  Tue, 08 Apr 2008 11:15:50 +0200

subtitleeditor (0.20.0-2) unstable; urgency=low

  * Fixed the bug: subtitleeditor doesn`t start (Closes: #464704)
  * Fixed in debian/control file a the minimal requirement for the package
    libpcre3-dev to avoid problems with undefined symbols related with
    the bug above described.
  * Removed the fields Vcs-Browser and Vcs-Svn in the debian/control file
    due to the fields to point to upstream source instead the debian
    package (Closes: #471447)
  * Cleaned the package description with more information about the
    program.

 -- Anibal Avelar <aavelar@cofradia.org>  Thu, 27 Mar 2008 00:15:50 +0200

subtitleeditor (0.20.0-1) unstable; urgency=low

  * New upstream release (Closes: #463781).
  * Fixed when subtitleeditor does not reproduce sound. Added a new dependency
    in the Depends field with the package gstreamer0.10-x inside
    debian/control (Closes: #410711).
  * Added a new dependency in the Build-Depends field with the package
    libxml++2.6-dev inside debian/control.
  * Updated the Homepage field with the new web address.
  * Updated the debian/watch field with the new web address.
  * Updated the debian/copyright file to the new GPL3 license. Also was
    updated the homepage address.
  * Added the fields Vcs-Browser and Vcs-Svn in the debian/control file.
  * Added a new manpage to the program based in the old manpage.

 -- Anibal Avelar <aavelar@cofradia.org>  Thu, 07 Feb 2008 22:31:50 +0200

subtitleeditor (0.13.6-2) unstable; urgency=low

  * New mantainer
  * Removed dpatch from debian/control and debian/rules.
  * Updated to Standards-Version 3.7.3
  * Added the field Homepage in Source stanza inside debian/control.
  * Fixed debian-rules-ignores-make-clean-error lintian's warning in
    debian/rules.
  * Fixed desktop-entry-invalid-category lintian's warning in
    debian/subtitleeditor.desktop overwritten the upstream version.
  * Fixed menu-item-uses-apps-section lintian's warning in debian/menu.
  * Removed the postinst, postrm, preinst, prerm and manpage.xml files
    from debian/ dir being unnecessary.
  * Removed the debian/subtitleeditor.1 file due to the program has its own
    manual page.
  * Fixed a minor detail on debian/watch to scan correctly.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 09 Dec 2007 11:29:50 +0200

subtitleeditor (0.13.6-1) unstable; urgency=low

  * New upstream release.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 31 May 2007 02:29:50 +0200

subtitleeditor (0.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue,  6 Mar 2007 13:18:27 +0100

subtitleeditor (0.12.4-1) unstable; urgency=low

  * New upstream release, that fixes problems with windows encoded subtitles
    (Closes: #401958).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 16 Dec 2006 10:05:58 +0100

subtitleeditor (0.12.2-1) unstable; urgency=low

  * New upstream release (Minor changes, mainly i10n).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun,  3 Dec 2006 02:33:02 +0100

subtitleeditor (0.12.1-1) unstable; urgency=low

  * New upstream release (Closes: #396519)
  * Added build dependecy on gstreamer0.10-plugins-good and
    gstreamer0.10-tools.
  * Removed manpage from debian/ as it is now shipped by upstream.
  * Update of Spanish Translation

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Fri, 24 Nov 2006 21:04:19 +0100

subtitleeditor (0.11.0-1) unstable; urgency=low

  * New upstream release (Closes: #396519).
  * Created a manual page.
  * Added build dependecy on iso-codes.
  * Created debian/compat. Got rid of DH_COMPAT in debian/rules

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed,  1 Nov 2006 20:39:13 +0100

subtitleeditor (0.11-alpha2-2) unstable; urgency=low

  * Removed unnecesary build-dep: libaspell-dev

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Oct 2006 11:50:45 +0200

subtitleeditor (0.11-alpha2-1) unstable; urgency=low

  * New upstream Release
  * Update of Spanish Translation
  * New build-dependency: libpcre3-dev, libenchant-dev
  * Install the png icon in /usr/share/pixmaps

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Oct 2006 11:04:42 +0200

subtitleeditor (0.11-alpha1-1) unstable; urgency=low

  * New upstream Release.
  * Readme.Debian is a duplicate of upstream's Reame, so get rid of it.
  * Update Spanish Translation.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 15 Oct 2006 17:49:40 +0200

subtitleeditor (0.10.1-1) unstable; urgency=low

  * New upstream Release.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 30 Aug 2006 13:19:29 +0200

subtitleeditor (0.10-4) unstable; urgency=low

  * Depend on gstreamer0.10-plugins-good insteadso that it is installable :(

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 28 Aug 2006 03:12:35 +0200

subtitleeditor (0.10-3) unstable; urgency=low

  * Add gstreamer-plugins-good depndency on upstream's request, because
    subtitleeditor uses the "level" plugin to generate the waveform.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 27 Aug 2006 12:27:57 +0200

subtitleeditor (0.10-2) unstable; urgency=low

  * The "Upstream is too fast for me" Release.
  * Initial release (Closes: #379548).
  * Fix Spanish Translation.
  * Ship a README file with actual info.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 17 Aug 2006 10:57:49 +0200

subtitleeditor (0.10-1) unstable; urgency=low

  * Unreleased
  * New upstream Release.
  * Get rid of patch to fix FTBFS, as upsream fixed it better.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 16 Aug 2006 17:05:14 +0200

subtitleeditor (0.9-1) unstable; urgency=low

  * Unreleased
  * Initial packaging attempt release
  * Translated into Spanish.
  * Created xpm icon for the menu entry.
  * Trivial FTBFS fix.
  * Trivial typo in upstream's pot file.
  * Unreleased.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Fri, 11 Aug 2006 22:19:32 +0200